package grmi

type DataBaseError struct {
	err error
}

func NewDataBaseError(err error) error {
	return &DataBaseError{err}
}

func (self *DataBaseError) Error() string {
	return self.err.Error()
}

func (self *DataBaseError) Inner() bool {
	return true
}
